> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/instance/placement-group/deleteplacementgroups.md).

# DeletePlacementGroups

## 1. API Description

This API (DeletePlacementGroups) is used to delete one or more placement groups. After deletion, all instances within the placement groups are released from placement policy constraints.

{% hint style="info" %}
**Notes**

* The deletion is irreversible. After the deletion, all instances in the placement group are no longer subject to the placement policy constraints.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name    | Required | Type            | Description                                                                                                                                                                                             |
| ----------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| placementGroupIds | Yes      | Array of String | <p>ID list of the placement groups to be deleted.</p><p>It can be obtained by calling <a href="/api-reference/zec/instance/placement-group/describeplacementgroups.md">DescribePlacementGroups</a>.</p> |

## 3. Output Parameters

| Parameter Name          | Type            | Description                                                                                                           |
| ----------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId               | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedPlacementGroupIds | Array of String | <p>List of placement group IDs that failed to be deleted.</p><p>Empty if all deletions succeeded.</p>                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete one or more placement groups.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePlacementGroups
<Common Request Params>

Request：
{
  "placementGroupIds": [
    "placementgroup-xxxxxxxx",
    "placementgroup-yyyyyyyy"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedPlacementGroupIds": [
      "placementgroup-xxxxxxxx"
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                            | Description                         |
| ---------------- | ------------------------------------- | ----------------------------------- |
| 404              | INVALID\_PLACEMENT\_GROUP\_NOT\_FOUND | The placement group does not exist. |
